/**
 * @file
 * Shows how to _define_ a basic exception class.
 */

// Remember to adjust include path (replace "source" by "libsex").
#include <source/define.hxx>
#include <source/Exception.hxx>
#include <tests/framework/ExampleException1.hxx>

// Define ExampleException1 and provide a message template.
// If you want to localize your exceptions, you just have
// to localize the following line.

LIBSEX_DEFINE(libsex::Exception, ExampleException1, "Error!")
