/**
 * @file
 *
 * Shows how to _declare_ an exception class that uses
 * placedholders in its message template.
 *
 * Note that it is _declared_ in exactly the same way as a
 * basic exception class.
 */

#ifndef EXAMPLEEXCEPTION2_HXX
#define EXAMPLEEXCEPTION2_HXX

// Remember to adjust include path (replace "source" by "libsex").
#include <source/declare.hxx>
#include <source/Exception.hxx>

// ExampleException2 inherits from libsex::Exception.
LIBSEX_DECLARE(libsex::Exception, ExampleException2)

#endif
